Module javafx.graphics
Package javafx.css

# Class StyleableFloatProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.FloatExpression
javafx.beans.property.ReadOnlyFloatProperty
javafx.beans.property.FloatProperty
javafx.beans.property.FloatPropertyBase
javafx.css.StyleableFloatProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableFloatValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableFloatValue`, `WritableNumberValue`, `WritableValue<Number>`, `StyleableProperty<Number>`

Direct Known Subclasses:
  `SimpleStyleableFloatProperty`

    public abstract class StyleableFloatProperty
    extends FloatPropertyBase
    implements StyleableProperty<Number>

This class extends `FloatPropertyBase` and provides a partial implementation of a `StyleableProperty`. The method `StyleableProperty.getCssMetaData()` is not implemented. This class is used to make a `FloatProperty`, that would otherwise be implemented as a `FloatPropertyBase`, styleable by CSS.

Since:
  JavaFX 8.0
See Also:
  `FloatPropertyBase`, `CssMetaData`, `StyleableProperty`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `StyleableFloatProperty()` | The constructor of the `StyleableFloatProperty`.
  `StyleableFloatProperty​(float initialValue)` | The constructor of the `StyleableFloatProperty`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `applyStyle​(StyleOrigin origin, Number v)` | This method is called from CSS code to set the value of the property.
  `void` | `bind​(ObservableValue<? extends Number> observable)` | Create a unidirection binding for this `Property`.
  `StyleOrigin` | `getStyleOrigin()` | Tells the origin of the value of the property.
  `void` | `set​(float v)` | Set the wrapped value.

  ### Methods inherited from class javafx.beans.property.FloatPropertyBase

  `addListener, addListener, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, toString, unbind`

  ### Methods inherited from class javafx.beans.property.FloatProperty

  `asObject, bindBidirectional, floatProperty, setValue, unbindBidirectional`

  ### Methods inherited from class javafx.beans.property.ReadOnlyFloatProperty

  `readOnlyFloatProperty`

  ### Methods inherited from class javafx.beans.binding.FloatExpression

  `add, add, add, add, divide, divide, divide, divide, doubleValue, floatExpression, floatExpression, floatValue, getValue, intValue, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

  ### Methods inherited from class javafx.beans.binding.NumberExpressionBase

  `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface javafx.beans.value.ObservableValue

  `getValue`

  ### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods inherited from interface javafx.css.StyleableProperty

  `getCssMetaData`

  ### Methods inherited from interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### StyleableFloatProperty

    public StyleableFloatProperty()
    The constructor of the `StyleableFloatProperty`.

  - ### StyleableFloatProperty

    public StyleableFloatProperty​(float initialValue)
    The constructor of the `StyleableFloatProperty`.
    Parameters:
      `initialValue` - the initial value of the wrapped `Object`

- ## Method Details

  - ### applyStyle

    public void applyStyle​(StyleOrigin origin, Number v)
    This method is called from CSS code to set the value of the property.
    Specified by:
      `applyStyle` in interface `StyleableProperty<Number>`
    Parameters:
      `origin` - the origin
      `v` - the value

  - ### bind

    public void bind​(ObservableValue<? extends Number> observable)
    Create a unidirection binding for this `Property`.

    Note that JavaFX has all the bind calls implemented through weak listeners. This means the bound property can be garbage collected and stopped from being updated.

    Specified by:
      `bind` in interface `Property<Number>`
    Overrides:
      `bind` in class `FloatPropertyBase`
    Parameters:
      `observable` - The observable this `Property` should be bound to.

  - ### set

    public void set​(float v)
    Set the wrapped value. Unlike `WritableFloatValue.setValue(java.lang.Number)`, this method uses primitive float.
    Specified by:
      `set` in interface `WritableFloatValue`
    Overrides:
      `set` in class `FloatPropertyBase`
    Parameters:
      `v` - The new value

  - ### getStyleOrigin

    public StyleOrigin getStyleOrigin()
    Tells the origin of the value of the property. This is needed to determine whether or not CSS can override the value.
    Specified by:
      `getStyleOrigin` in interface `StyleableProperty<Number>`
    Returns:
      the style origin